Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransaction_creditCard_CreditCard_billingAddress_AddressCRUD

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.payment.PaymentTransaction_creditCard_CreditCard_billingAddress_AddressCRUD

public class PaymentTransaction_creditCard_CreditCard_billingAddress_AddressCRUD
extends java.lang.Object

Constructor Summary
`PaymentTransaction_creditCard_CreditCard_billingAddress_AddressCRUD()`

Method Summary
`static void` | `refresh(java.sql.Connection connection, java.lang.Object key, java.lang.Object target)` Updates the datbase, using using primary key information in the where clause.
`static void` | `refreshDirect(java.sql.Connection connection, java.lang.Object key, java.lang.Object target)` Refresh from database, using primary key information in the where clause.
`static void` | `update(java.sql.Connection connection, java.lang.Object key, java.lang.Object source)` Updates the datbase, using using primary key information in the where clause.
`static void` | `updateDirect(java.sql.Connection connection, java.lang.Object key, java.lang.Object source)` Updates the database, using primary key information in the where clause.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaymentTransaction_creditCard_CreditCard_billingAddress_AddressCRUD

    public PaymentTransaction_creditCard_CreditCard_billingAddress_AddressCRUD()

Method Detail

### refresh

    public static void refresh(java.sql.Connection connection,
                               java.lang.Object key,
                               java.lang.Object target)
                        throws BMPException

  Updates the datbase, using using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.

### update

    public static void update(java.sql.Connection connection,
                              java.lang.Object key,
                              java.lang.Object source)
                       throws BMPException

  Updates the datbase, using using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.

### updateDirect

    public static void updateDirect(java.sql.Connection connection,
                                    java.lang.Object key,
                                    java.lang.Object source)
                             throws BMPException

  Updates the database, using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.

### refreshDirect

    public static void refreshDirect(java.sql.Connection connection,
                                     java.lang.Object key,
                                     java.lang.Object target)
                              throws BMPException

  Refresh from database, using primary key information in the where clause.

  Parameters:
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved